Upsert Documents
curl --request POST \
--url https://{projectHost}/collections/{collectionName}/docs/upsert \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"docs": [
{
"example-field1": "example-value1",
"example-field2": [
0.1,
0.2,
0.3
]
},
{
"example-field1": "example-value2",
"example-field2": [
0.4,
0.5,
0.6
]
}
]
}
'import requests
url = "https://{projectHost}/collections/{collectionName}/docs/upsert"
payload = { "docs": [
{
"example-field1": "example-value1",
"example-field2": [0.1, 0.2, 0.3]
},
{
"example-field1": "example-value2",
"example-field2": [0.4, 0.5, 0.6]
}
] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
docs: [
{'example-field1': 'example-value1', 'example-field2': [0.1, 0.2, 0.3]},
{'example-field1': 'example-value2', 'example-field2': [0.4, 0.5, 0.6]}
]
})
};
fetch('https://{projectHost}/collections/{collectionName}/docs/upsert', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Upsert request is accepted"
}{
"message": "Invalid request"
}{
"message": "Authentication failed"
}{
"message": "Resource not found"
}{
"message": "<string>"
}{
"message": "Too many requests"
}{
"message": "Internal server error"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Documents
Upsert documents
Upsert documents into a collection. Note that the maximum supported payload size is 6MB.
POST
/
collections
/
{collectionName}
/
docs
/
upsert
Upsert Documents
Authorizations
Project API Key.
Path Parameters
Collection name.
Body
application/json
Response
Upsert request accepted.
Was this page helpful?